Sensitivity Labels - Get

Egy adott oszlop bizalmassági címkéjének lekérdezése

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/columns/{columnName}/sensitivityLabels/{sensitivityLabelSource}?api-version=2025-01-01

URI-paraméterek

Name In Kötelező Típus Description
columnName
path True

string

Az oszlop neve.

databaseName
path True

string

Az adatbázis neve.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

schemaName
path True

string

A séma neve.

sensitivityLabelSource
path True

SensitivityLabelSource

A bizalmassági címke forrása.

serverName
path True

string

A kiszolgáló neve.

subscriptionId
path True

string (uuid)

A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie.

tableName
path True

string

A tábla neve.

api-version
query True

string

minLength: 1

A művelethez használandó API-verzió.

Válaszok

Name Típus Description
200 OK

SensitivityLabel

Az Azure működése sikeresen befejeződött.

Other Status Codes

ErrorResponse

Váratlan hibaválasz.

Biztonság

azure_auth

Azure Active Directory Oauth2-folyamat.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

Gets the sensitivity label of a given column

Mintakérelem

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn/sensitivityLabels/current?api-version=2025-01-01

Mintaválasz

{
  "name": "current",
  "type": "Microsoft.Sql/servers/databases/schemas/tables/columns/sensitivityLabels",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn/sensitivityLabels/current",
  "properties": {
    "columnName": "myColumn",
    "informationType": "PhoneNumber",
    "informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
    "labelId": "bf91e08c-f4f0-478a-b016-25164b2a65ff",
    "labelName": "PII",
    "rank": "High",
    "schemaName": "dbo",
    "tableName": "myTable"
  }
}

Definíciók

Name Description
ClientClassificationSource
createdByType

Az erőforrást létrehozó identitás típusa.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

SensitivityLabel

Bizalmassági címke.

SensitivityLabelRank
SensitivityLabelSource

A bizalmassági címke forrása.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

ClientClassificationSource

Érték Description
None

Nincs

Native

Native

Recommended

Ajánlott

MIP

MIP

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Típus Description
info

object

A további információk.

type

string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Típus Description
additionalInfo

ErrorAdditionalInfo[]

A hiba további információi.

code

string

A hibakód.

details

ErrorDetail[]

A hiba részletei.

message

string

A hibaüzenet.

target

string

A hiba célpontja.

ErrorResponse

Hibaválasz

Name Típus Description
error

ErrorDetail

A hibaobjektum.

SensitivityLabel

Bizalmassági címke.

Name Típus Description
id

string (arm-id)

Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

managedBy

string

A bizalmassági címkét kezelő erőforrás.

name

string

Az erőforrás neve

properties.clientClassificationSource

ClientClassificationSource

properties.columnName

string

Az oszlop neve.

properties.informationType

string

Az információ típusa.

properties.informationTypeId

string

Az információtípus azonosítója.

properties.isDisabled

boolean

A bizalmassági javaslat le van tiltva. Csak az ajánlott bizalmassági címke esetén alkalmazható. Megadja, hogy az oszlop bizalmassági ajánlása le van-e tiltva (elvetve) vagy sem.

properties.labelId

string

A címke azonosítója.

properties.labelName

string

A címke neve.

properties.rank

SensitivityLabelRank

properties.schemaName

string

A séma neve.

properties.tableName

string

A tábla neve.

systemData

systemData

Azure Resource Manager metaadat, amely createdBy és modifiedBy információkat tartalmaz.

type

string

Az erőforrás típusa. Például: "Microsoft. Compute/virtualMachines" vagy "Microsoft. Tárhely/tárolásFiókok"

SensitivityLabelRank

Érték Description
None

Nincs

Low

Alacsony

Medium

Medium

High

Magas

Critical

Létfontosságú

SensitivityLabelSource

A bizalmassági címke forrása.

Érték Description
current

aktuális

recommended

ajánlott

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Típus Description
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.